services:
  stirling-pdf:
    image: docker.stirlingpdf.com/stirlingtools/stirling-pdf:latest
    ports:
      - '3614:8080'
    volumes:
      - /home/soenke/docker-data/StirlingPDF/trainingData:/usr/share/tessdata # Required for extra OCR languages
      - /home/soenke/docker-data/StirlingPDF/extraConfigs:/configs
      - /home/soenke/docker-data/StirlingPDF/customFiles:/customFiles/
      - /home/soenke/docker-data/StirlingPDF/logs:/logs/
      - /home/soenke/docker-data/StirlingPDF/pipeline:/pipeline/
    environment:
      - DOCKER_ENABLE_SECURITY=false
      - LANGS=en_GB
    labels:
      kuma.tools.tag.name: 'Tools'
      kuma.tools.tag.color: '#FF9900'
      kuma.homelab.tag.name: 'Homelab'
      kuma.homelab.tag.color: '#FF9955'
      kuma.organization.tag.name: 'Organization'
      kuma.organization.tag.color: '#FF99AA'
      kuma.stirlingpdf.http.name: 'stirlingpdf'
      kuma.stirlingpdf.http.url: 'https://pdf.domr.ovh/'
      kuma.stirlingpdf.http.tag_names: '[{"name": "tools", "value": "" }, {"name": "organization", "value": "" }]'
